Subject: 24.0.50; M-x customize-create-theme not behaving as expected

From: Jambunathan K <[email-masked]>
Date: Sun, 21 Aug 2011 23:07:32 +0530

Summary:

M-x customize-create-theme followed by "Save Theme" is not dumping all
my face configurations.

Details:
1. Start emacs for regular use.
2. M-x customizec-create-theme RET (when prompted say y)
3. Note that it dumps face definitions that are currently active. (My
   face definitions belongs to pre-theme era and is handcrafted and
   saved through the regular customize interface)
4. Make no changes to the offered faces and click on "Save Theme"
5. Visit the theme file so created.
6. Note that the theme file contains ZERO face definitions.

Here is a dump of M-x list-command-history RET

,----
| (find-file "c:/Documents and Settings/kjambunathan/My Documents/My Data/.emacs.d/xyz-theme.el")
| (customize-create-theme)
`----

Here is a dump of C-h e as I go through the above motions (shows only
the relevant portions)

,----
| Recent messages:
| Include basic face customizations in this theme? (y or n)  y
| Saving file c:/Documents and Settings/kjambunathan/My Documents/My Data/.emacs.d/xyz-theme.el...
| Wrote c:/Documents and Settings/kjambunathan/My Documents/My Data/.emacs.d/xyz-theme.el
| Theme written to c:/Documents and Settings/kjambunathan/My Documents/My Data/.emacs.d/xyz-theme.el
`----

Here is a dump of xyz-theme.el

,----[ xyz-theme.el ]
| (deftheme xyz
|   "Created 2011-08-21.")
| 
| (custom-theme-set-faces
|  'xyz
|  )
| 
| (provide-theme 'xyz)
`----

I expect to see all my face configurations saved in the above
file. Unfortunately I see ZERO face definitions. FWIW, I use a
green-on-black as my default face along with other configurations. So I
do have local changes to my faces.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-08-09 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Quit
Making completion list...
Quit
Mark set
Quit
Making completion list...